Skip to Content
avatar image
Former Member

Patch the SAP EHP1 PI 7.1

Hi!

We install the SAP EHP1 PI 7.1 wuth the following components:

SAP Kernel Level 21

SAP_ABA 711 (Level: 0000)

SAP_BASIS 711 (Level: 0000)

PI_BASIS 711 (Level: 0000)

ST_PI (2005_1_710, Level: 0003)

SAP_BW 711 (Level: 0000)

Question:

What is the current and ⚠️ proved SAP stack release for SAP EHP1 PI 7.1 I need to apply in my case? (SP 3)?

Thank you!

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

4 Answers

  • avatar image
    Former Member
    Sep 28, 2009 at 10:46 AM

    Dear Holger,

    You can check the SP Stack schedule for all approved SAP Products in the following link :-

    http://service.sap.com/~sapidb/011000358700000294692004E

    To be specific in your case the latest approved patch for SAPEHP1 PI7.1 is SP03

    Rgds,

    Mat.

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Sep 28, 2009 at 04:01 PM

    I've also installed SAP PI 7.1 with NW ENH1... so have SAP with abap+java stacks. I've downloaded SPS 03.

    No problem with abap side (as long as you apply SNOTE 1256384 first), but I'm having a devil of a time getting the java side to SPS 03.

    Part of the problem is A) I'm new to 7.1 ENH 1 and B) this is a practise install on vmware. I'm having troubles finding error messages. It's possible my VM is too small.

    Are there any tricks to getting java upgraded? Do I need minimal Java configuration before running JSPM?

    I run JSPM (now JSPM03 so I managed to deploy the JSPM03 SCA) specifying a stack xml and deploy blows up ... no reason is given.

    I'm now searching through defaultTrace*.trc. There are regular BC-JAS-SEC errors "naming exception from the pcd when trying to access the principal ROLE.PCD_ROLE_PERSISTENCE".. Then there's BC-JAS-DPL error "Entered illegal state while setting the deploy status of the composite deployment item" LMHOSTAGENT, UKMS_JAVA, SAP_BUILDT (3 total). Then there is BC-JAS-EJB error "no protocol: URL to the Central Services Repository". Then there are 3 system errors BC-JAS-COR referring to Cache Configuration". Then a BC-I18-JAV error "The SAP Language mapping is not properly initialized; Languages information cannot be exchanged between ABAP and SAP J2EE Engine". Then another BC-I18-JAV error "Destination I18NBackendConnection is not available.". Then there is a BC-I18-JAV error "The SAP time zone mapping is not properly initialized".

    ...

    The trouble with java is it errors so much you can't tell which is relavant!

    Ken Chamberlain

    University of Toronto

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Sep 28, 2009 at 08:11 PM

    Turned out destination I18NBackendConnection (like UMEBackendConnection with role SAPI18N) was required. JSPM patch to SPS 03 work afterwards.

    Ken Chamberlain

    University of Toronto

    Add comment
    10|10000 characters needed characters exceeded

  • Sep 28, 2009 at 08:30 PM

    Hey,

    >What is the current and ⚠️ proved SAP stack release for SAP EHP1 PI 7.1 I need to apply in my case? (SP 3)?

    Yes...SP 3

    Cheers

    Agasthuri

    Add comment
    10|10000 characters needed characters exceeded